export declare function isFunc<T = (...args: unknown[]) => unknown>(item: T): item is NonNullable<T>;
export declare function isObject(item: unknown): item is Record<string | number | symbol, unknown>;
export declare function isArray(item: unknown): item is any[];
export declare function isString(item: unknown): item is string;
export declare function isNumber(item: unknown): item is number;
export declare function isInteger(item: unknown): item is number;
export declare function keyExists(obj: Record<string | number | symbol, unknown>, keys: (string | number | symbol)[]): boolean;
/**
 * Asserts a condition is truthy, otherwise throws an error
 *
 * @remarks
 * Useful at the top of functions to ensure certain conditions, arguments and
 * properties are set/met before continuing. When using this function,
 * TypeScript will narrow away falsy types from the condition.
 *
 * @param condition
 * @param message
 * @returns
 */
export declare function assertTruthy(condition: unknown, message?: string): asserts condition;
